summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-04-21 11:43:34 +0300
committerMart Raudsepp <leio@gentoo.org>2018-04-21 11:59:25 +0300
commit4a1035811c4406791bbdccac06277b565bf3e2a8 (patch)
treea3c7ba21c1f24c60328a5a88aebba4597b913517 /gnome-base
parentx11-libs/motif: arm stable wrt bug #650624 (diff)
downloadgentoo-4a1035811c4406791bbdccac06277b565bf3e2a8.tar.gz
gentoo-4a1035811c4406791bbdccac06277b565bf3e2a8.tar.bz2
gentoo-4a1035811c4406791bbdccac06277b565bf3e2a8.zip
gnome-base/gnome-settings-daemon: bump to 3.24.4
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'gnome-base')
-rw-r--r--gnome-base/gnome-settings-daemon/Manifest2
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.4.ebuild157
2 files changed, 159 insertions, 0 deletions
diff --git a/gnome-base/gnome-settings-daemon/Manifest b/gnome-base/gnome-settings-daemon/Manifest
index 3d64a49cf41..3316056fff1 100644
--- a/gnome-base/gnome-settings-daemon/Manifest
+++ b/gnome-base/gnome-settings-daemon/Manifest
@@ -1 +1,3 @@
DIST gnome-settings-daemon-3.24.3.tar.xz 1583044 BLAKE2B f075abe574663cb9e6092e9698efb12d598584fe004042b5ac63df7e30ba9dfdb28ac4d0fac4148fa8fd49ccb6991414dc9a3dc49400efbe2cf4752d6295d62c SHA512 2450c3bb31746fe4883f194094cf79e94207e74d39c992107244d89f36c3ea373a33a2dca4a55af138f03fb4abd8733da4bacb215e2202bbc0976b566f8529a6
+DIST gnome-settings-daemon-3.24.4-patchset.tar.xz 5224 BLAKE2B f01db03ce3980a74324972871643e573bc51a184fe12e7a40796b7ca1bbfac37ecad1fae2f8a62fba0038a672dc4958b242316dc3dc97a59b37a2e4e4f5e9973 SHA512 fe5bf846774b126e8ed89bc8043e8c02b567cc55d602c5becd84a14c7a414fc663ae1767a552b585defb462ffe88b4838f87445c9599fda37f197e8f2eaad8cb
+DIST gnome-settings-daemon-3.24.4.tar.xz 1632700 BLAKE2B 616aad6984df726c438117ab98e8c5a35bd02a6ebbc3c24fc46b50e8b3ca3f3d5bede0588cfe9bbdfcaccc70ff5799feeabf020ec4beb03d653ae81abc6325f8 SHA512 4a3b1069d80263a92ae2c2a420f7dc70a1ff92346d5cbeb1e7dd4af0419e039ebe958550594d87929c0333c19aa9a3ef7ca9b9751109a9da64a40d81ba067cc0
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.4.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.4.ebuild
new file mode 100644
index 00000000000..041c154ffe1
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.4.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_EAUTORECONF="yes"
+GNOME2_LA_PUNT="yes"
+#PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} ) # https://bugzilla.gnome.org/show_bug.cgi?id=783186
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2 python-any-r1 systemd udev virtualx
+
+DESCRIPTION="Gnome Settings Daemon"
+HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
+SRC_URI+=" https://dev.gentoo.org/~leio/distfiles/${P}-patchset.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+colord +cups debug input_devices_wacom -openrc-force networkmanager policykit smartcard test +udev wayland"
+REQUIRED_USE="
+ input_devices_wacom? ( udev )
+ smartcard? ( udev )
+ wayland? ( udev )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.44.0:2[dbus]
+ >=x11-libs/gtk+-3.15.3:3[X,wayland?]
+ >=gnome-base/gnome-desktop-3.11.1:3=
+ >=gnome-base/gsettings-desktop-schemas-3.23.3
+ >=gnome-base/librsvg-2.36.2:2
+ media-fonts/cantarell
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/libcanberra[gtk3]
+ >=media-sound/pulseaudio-2
+ >=sys-power/upower-0.99:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/libnotify-0.7.3:=
+ x11-libs/libX11
+ x11-libs/libxkbfile
+ x11-libs/libXi
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXtst
+ x11-libs/libXxf86misc
+ x11-misc/xkeyboard-config
+
+ >=app-misc/geoclue-2.3.1:2.0
+ >=dev-libs/libgweather-3.9.5:2=
+ >=sci-geosciences/geocode-glib-3.10
+ >=sys-auth/polkit-0.103
+
+ colord? (
+ >=media-libs/lcms-2.2:2
+ >=x11-misc/colord-1.0.2:= )
+ cups? ( >=net-print/cups-1.4[dbus] )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=x11-libs/pango-1.20
+ x11-drivers/xf86-input-wacom
+ virtual/libgudev:= )
+ networkmanager? ( >=net-misc/networkmanager-1.0 )
+ smartcard? ( >=dev-libs/nss-3.11.2 )
+ udev? ( virtual/libgudev:= )
+ wayland? ( dev-libs/wayland )
+"
+# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
+# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
+# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
+# systemd needed for power and session management, bug #464944
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/dconf
+ !openrc-force? ( sys-apps/systemd )
+ !<gnome-base/gnome-control-center-2.22
+ !<gnome-extra/gnome-color-manager-3.1.1
+ !<gnome-extra/gnome-power-manager-3.1.3
+ !<gnome-base/gnome-session-3.23.2
+"
+# xproto-7.0.15 needed for power plugin
+DEPEND="${COMMON_DEPEND}
+ cups? ( sys-apps/sed )
+ test? (
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+ $(python_gen_any_dep 'dev-python/dbusmock[${PYTHON_USEDEP}]')
+ gnome-base/gnome-session )
+ dev-libs/libxml2:2
+ sys-devel/gettext
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/xf86miscproto
+ x11-proto/kbproto
+ >=x11-proto/xproto-7.0.15
+"
+
+# TypeErrors with python3; weird test errors with python2; all in power component that was made required now
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+ # Make colord and wacom optional; requires eautoreconf
+ # Allow specifying udevrulesdir via configure, bug 509484; requires eautoreconf
+ # Reduce memory usage by not initing GTK+ where not needed
+ # Reduce memory usage by using a fake CSS theme instead of full Adwaita for GTK+ needing plugins; requires eautoreconf
+ # Fix build system to require gudev with wayland, bug #627966
+ "${WORKDIR}"/patches/
+)
+
+python_check_deps() {
+ if use test; then
+ has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" &&
+ has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
+ fi
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --with-udevrulesdir="$(get_udevdir)"/rules.d \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable debug more-warnings) \
+ $(use_enable networkmanager network-manager) \
+ $(use_enable smartcard smartcard-support) \
+ $(use_enable udev gudev) \
+ $(use_enable input_devices_wacom wacom) \
+ $(use_enable wayland)
+}
+
+src_test() {
+ virtx emake check
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow the this guide to migrate:"
+ ewarn "https://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}